2005-04-09  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/print/print.c: quote the shell command passed to execl().
	Fixes bug #169909.

2005-04-09  Michael Natterer  <mitch@gimp.org>

	* app/tools/gimp-tools.c (gimp_tools_register): manually hardwire
	the global font and the text option's font together. Makes the
	globally selected font persistant and fixes bug #171024.

2005-04-09  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpink.c: merged changes to the time-smoother code
	from the HEAD branch. Fixes bug #164272.

2005-04-09  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/gifload.c (GetCode): GetDataBlock returns -1 on
	error, so count should be an int, not an unsigned char. Fixes
	bug #173119.

2005-04-09  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/winicon/icosave.c: implement color counting without
	changing the image-type to RGB. A save plug-in must not change the
	image.

2005-04-08  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/winicon/icodialog.c: rewrote preview code to use
	GtkImage and pixbufs. The previous implementation was severily
	broken.

2005-04-08  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/gauss.c: fixed preview for zero blur radii
	(bug #173039).

2005-04-07  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* docs/gimp.1.in: fixed typos and improved explanation of parasiterc.

2005-04-07  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpcolorframe.c (gimp_color_frame_update)
	* app/widgets/gimpmessagebox.c: plugged small memleaks.

	* libgimpwidgets/gimpcontroller.c: added a finalizer and free the
	allocated strings.

2005-04-05  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* tools/pdbgen/pdb/plug_in.pdb (plugins_query): strip the menu
	strings from underlines before matching. Fixed function to not
	match all procedures twice.

	* app/pdb/plug_in_cmds.c: regenerated.

2005-04-05  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/core/core-enums.[ch]
	* app/core/gimpimage.c
	(gimp_image_remove_layer, gimp_image_remove_channel): handle a
	floating selection attached to the layer or channel that is being
	removed.  Fixes bug #168582.

2005-04-05  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* configure.in: select localedir according to the format of the
	gettext message catalogs. Closes bug #169274 again.

2005-04-04  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/core/gimpdata.c (gimp_data_create_filename): return early if
	called for an internal data object. Fixes bug #172581.

2005-04-04  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/deinterlace.c (deinterlace): fixed boundary
	conditions that led to incorrect preview (bug #172589).

2005-04-04  Tor Lillqvist  <tml@novell.com>

	* app/widgets/gimpclipboard.c (gimp_clipboard_format_compare): On
	Win32, move the "bmp" format to the front. Means less conversion
	in most cases, as other apps on Win32 typically provide/want the
	BMP format on the Clipboard. (Actually CF_DIB, but that's the
	same, just without the BMP file header.) See also bug #168173.

2005-04-04  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/FractalExplorer/FractalExplorer.c: fixed typo that
	caused a crash when deleting a fractal from the list (bug #172347).

2005-04-01  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/rcm/rcm_dialog.c: keep the previews from expanding. Fixes
	bug #172284.

2005-03-30  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpwidgets.c (gimp_label_set_attributes): fixed
	copy-n-paste bug that affected PANGO_ATTR_SIZE.

2005-03-30  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/tools/gimpvectortool.c (gimp_vector_tool_status_update):
	set a different help message in polygonal mode. Fixes bug #172051.

2005-03-28  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/dialogs/resize-dialog.c (resize_dialog_new): handle
	gimp_viewable_get_pixbuf() returning NULL. Fixes bug #171827.

2005-03-25  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/bmp/bmpread.c: applied patch from David Costanzo that
	initializes unspecified pixels in RLE bitmaps. Fixes bug #171562.

2005-03-24  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/bmp/bmp.h (Bitmap_Head_Struct)
	* plug-ins/bmp/bmpread.c: use a signed long for width and height
	and check that width is > 0 (negative height is allowed and
	handled by our code). Fixes bug #171453.

2005-03-24  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/bmp/bmpread.c: applied a patch from David Costanzo that
	fixes handling of odd-length pixel encodings in "absolute mode" of
	RLE4 compressed data (bug #171306).

2005-03-24  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/display/gimpstatusbar.c (gimp_statusbar_push_coords) 
	(gimp_statusbar_set_cursor): use RINT() instead of ROUND() to get
	proper rounding of negative values. Fixes bug #171497.

2005-03-24  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphistogrameditor.c: change to the Value channel
	if the current channel becomes invalid due to an image mode change.
	Fixes bug #170116.

2005-03-22  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/colortoalpha.c: unset "Keep transparency", it is
	not what the user wants if this plug-in is being used.

2005-03-21  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/actions/dialogs-actions.h: bail out if
	widgets/gimpactiongroup.h has not been included beforehand.

	* app/actions/actions.c: include widgets/gimpactiongroup.h. Fixes
	build with amd64/gcc-4.0 (Debian bug report #300227).

2005-03-21  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* etc/controllerrc: fixed defaults for mouse wheel controller (bug
	#171083, fix spotted by Michael Schumacher).

2005-03-21  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpcontainertreeview.c
	(gimp_container_tree_view_constructor): disable search for tree
	views so that treeview typeahead doesn't collide with global
	accelerators. Fixes bug #169339 and would suck less if bug #170435
	was fixed.

2005-03-21  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/winicon/icosave.c (ico_create_palette): fixed parameter
	check, NULL is valid for an empty palette. Fixes bug #170812.

2005-03-21  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/dialogs/convert-dialog.c (convert_dialog_palette_filter): don't
	show empty palettes. Fixes bug #170973.

2005-03-20  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from HEAD branch:

	* libgimpwidgets/gimpcolorscales.c (gimp_color_scales_update_scales):
	Block callback when updating hex entry, fixes bug #169882.
	
2005-03-20  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	* app/core/gimpimage-convert.c: applied patch from Adam
	Moss converning gray->indexed conversion,
	fixes bug #170825.

2005-03-18  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from HEAD branch:

	* app/core/gimpimage-convert.c:  when converting grayscale
	to mono, treat the palette as gray rather than rgb, giving
	more than tenfold speedup.  Fixes bug #170801.

2005-03-18  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/tools/gimpellipseselecttool.c
	* app/tools/gimprectselecttool.[ch]: applied a patch by Nils
	Bjorklund that should fix bug #143887 (selection rectangle "moves"
	when starting at the top-right corner).

2005-03-14  Manish Singh  <yosh@gimp.org>

	* libgimpwidgets/gimpwidgets-private.c (gimp_widgets_init): disable
	"gtk-alternative-button-order" here, so the plug-ins get it unset
	too. Completely fixes bug #170543.

	* app/gui/gui.c (gui_int): removed now redundant code.

2005-03-16  Sven Neumann  <sven@gimp.org>

	* app/gui/gui.c (gui_init): disable "gtk-alternative-button-order"
	since we don't provide an alternative button order in this branch.
	Fixes bug #170543.

2005-03-14  Manish Singh  <yosh@gimp.org>

	* app/display/gimpstatusbar.c: Make sure "focus-on-click" property
	exists before setting it on comboboxes (it didn't exist in GTK+ 2.4,
	where the behavior was what we wanted anyway).

2005-03-13  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/dialogs/print-size-dialog.c (print_size_dialog_response):
	handle the resolution unit correctly, fixes bug #170200.

2005-03-13  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* tools/pdbgen/pdb/drawable_transform.pdb
	(drawable_transform_scale)
	(drawable_transform_scale_default): applied fix from Theodor de
	Ment which fixes a wrong precondition check which made certain
	scale operations impossible. Fixes bug #170195.

	* tools/pdbgen/pdb/transform_tools.pdb (scale): fixed the same
	copy & paste bug here.

	* app/pdb/drawable_transform_cmds.c
	* app/pdb/transform_tools_cmds.c: regenerated.

2005-03-10  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/url.c: force the server-response wget option off
	so it doesn't screw up our parsing.

2005-03-08  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/file/file-open.c (file_open_layer): open images interactively.
	Fixes bug #168936.

2005-03-08  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/tools/gimppaintoptions-gui.c (fade_options_gui)
	(gradient_options_gui)
	* app/tools/gimpselectionoptions.c (gimp_selection_options_gui):
	call gimp_unit_menu_set_pixel_digits() after connecting up the
	spinbuttons and the unitmenu. Fixes initial display (bug #169066).

2005-03-06  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	* app/display/gimpdisplayshell-callbacks.c: applied patch from 
	Robert Ögren to improve autoscrolling with tablets in Windows,
	see bug #167960.
	
2005-03-05  Sven Neumann  <sven@gimp.org>

	Fix for bug #169274, merged from HEAD:

	* configure.in: updated definition of localedir.

	* po-libgimp/Makefile.in.in
	* po-plug-ins/Makefile.in.in
	* po-script-fu/Makefile.in.in: synchronized with po/Makefile.in.in.

2005-03-05  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/*: Update or add missing copyright and GPL comments.

2005-03-04  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* plug-ins/script-fu/script-fu-scripts.c (script_fu_find_scripts):
	need to convert script-fu-path to filesystem encoding. Should fix
	bug #165002.

2005-03-02  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* app/dialogs/resize-dialog.c (resize_dialog_reset)
	* app/dialogs/scale-dialog.c (scale_dialog_reset): don't rely on
	GObject internals about the order in which properties are being
	set. Fixes one aspect of bug #169011.

2005-03-01  Jay Cox  <jaycox@gimp.org>

	* plug-ins/common/psd.c:  Back port fix for loading layer masks.
	Fixes bug #166976.

	* plug-ins/common/psd_save.c: Back port fix for file corruption
	bug.  Includes fix for excessive memory usage.  Fixes bug #167139
	and bug #121871.

2005-02-24  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/url.c: Handle HTTP 302 Redirect output from wget
	properly. Also give a little more informative display for unspecified
	sizes. Fixes bug #168322.

2005-02-23  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD:

	* libgimpwidgets/gimpbutton.c (gimp_button_button_press): don't
	reset button->press_state on double clicks because
	GDK_2BUTTON_PRESS always arrive immediately after
	GDK_BUTTON_PRESS, so resetting the state causes the second click
	of a double click to be always interpreted as "clicked", not
	"extended-clicked", breaking e.g. adding of multiple layers by
	shift-clicking the layers dialog's "new" button. Phew, too much
	text for a one-liner bug fix, blah... Spotted by Jimmac.

2005-02-23  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.2.5, interface_age 5.

2005-02-22  Sven Neumann  <sven@gimp.org>

	* Made 2.2.4 release.

2005-02-22  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_canvas_tool_events): switch from display-wide
	grab to application-wide grab while handling button-release event.
	Fixes bug #162823.

2005-02-21  Manish Singh  <yosh@gimp.org>

	Merged from HEAD:

	* app/text/gimpfont-utils.[ch]: be smarter about finding trailing
	numbers that look like sizes, so we don't have spurious commas.

	* app/text/gimpfontlist.c: As an optimization, figure out if
	pango needs a workaround, and if not, just call it directly.

2005-02-21  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD:

	* app/widgets/gimptoolbox.c (toolbox_area_notify): apply evil
	size_request hacks to the color/image/foo areas' wrapbox because
	its child requisition/allocation code is apparently broken. Works
	around bug #162500.

2005-02-21  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* plug-ins/common/emboss.c: fixed emboss on small images (bug #168022).

2005-02-21  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* libgimpthumb/gimpthumb-utils.c (gimp_thumb_init): workaround for
	bug #167973: if no valid home directory exists, use the folder for
	temporary files to store thumbnails.

2005-02-19  Manish Singh  <yosh@gimp.org>

	Merged from HEAD:

	* plug-ins/pygimp/plug-ins/py-slice.py: Ignore guides at or beyond
	image bounds, since those aren't valid slicing bounds. Fixes bug
	#167843.

2005-02-20  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* app/dialogs/user-install-dialog.c
	* app/core/gimp-templates.[ch] (gimp_templates_migrate): if
	migrating templaterc from ~/.gimp-2.0, do a case-insensitive match
	on template names to accommodate for the fact that we changed the
	spelling of some default templates between 2.0 and 2.2.

2005-02-19  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD:

	* app/tools/gimptexttool.c (gimp_text_tool_create_layer): block
	the "active-layer-changed" callback while anchoring the floating
	selection so the callback doesn't reset the text tool in the
	middle of adding a new text layer. Fixes bug #166829.

2005-02-18  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* plug-ins/common/mng.c (mng_save_image): write a DEFI chunk to
	set the frame offset if the layer offsets are != 0, not only if
	they are > 0. Fixes bug #166059.

2005-02-18  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* app/display/gimpstatusbar.c: unset the CAN_FOCUS flag on the
	combo boxes and the cancel button. Set "focus-on-click" to FALSE
	for the combo boxes. Fixes bug #167809.

2005-02-18  Alexander Shopov  <ash@contact.bg>

	* configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS

2005-02-17  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* app/widgets/gimpviewrenderergradient.c
	(gimp_view_renderer_gradient_render): don't attempt to read beyond
	the pre-calculated render buffers, even if the gradient somehow
	has out-of-bounds values. Fixes the crash reported in bug #167604.

2005-02-17  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/siod-wrapper.c: reverted the last change
	since it changes the script API. Such a change must not be done in
	the stable branch.

2005-02-16  Kevin Cozens  <kcozens@cvs.gimp.org>

	* plug-ins/script-fu/siod-wrapper.c: Added constants
	MIN-IMAGE-SIZE, MAX-IMAGE-SIZE, MIN-RESOLUTION, and MAX-RESOLUTION
	for use in Script-Fu scripts. See comment #4 in bug #167529.

2005-02-16  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	* app/plug-ins/script-fu/scripts/guides-new.scm:  committted
	slightly modified patch from  Joao S. O. Bueno Calligaris
	to raise guide position limit to 262144.

2005-02-16  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from HEAD:

	* app/tools/gimpclonetool.[ch]: make sure clone source is
	shown in correct display, fixes bug #167002.

2005-02-12  Sven Neumann  <sven@gimp.org>

	Merged from HEAD:

	* app/dialogs/file-open-dialog.c
	* app/dialogs/file-open-location-dialog.c
	* app/dialogs/file-save-dialog.c
	* app/widgets/gimpselectiondata.c
	* app/widgets/gimpthumbbox.c
	* libgimpthumb/gimpthumb-utils.c
	* libgimpthumb/gimpthumb-utils.h
	* libgimpthumb/gimpthumbnail.c
	* plug-ins/help/domain.c
	* plug-ins/helpbrowser/dialog.c: use file_utils_filename_from_uri()
	or similar code to deal better with UNC paths.

2005-02-09  Manish Singh  <yosh@gimp.org>

	* gimptext-xlfd.c (launder_font_name): simplify a bit.

2005-02-08  Manish Singh  <yosh@gimp.org>

	* app/text/gimpfont-utils.[ch]: new function to workaround pango
	bug #166540, by tacking on a ',' to font names that end in numbers,
	so pango_font_description_from_string doesn't interpret it as a size.

	* app/text/Makefile.am: add above files.

	* app/text/gimpfontlist.c
	* app/text/gimptext-compat.c: use new function.

	* app/text/gimptext-xlfd.c: also make sure font names pulled out
	from XLFD don't end in numbers.

	* app/text/gimpfont.c
	* app/text/gimptextlayout.c: remove some redundant checks.

2005-02-08  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/Makefile.am: don't install sphere.py.

2005-02-08  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/sphere.py
	* plug-ins/pygimp/plug-ins/gimpcons.py
	* plug-ins/pygimp/plug-ins/pdbbrowse.py: Just leave imagetypes empty,
	since we don't operate on existing images here. Fixes bug #166650.

2005-02-08  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/winicon/icosave.c (ico_image_get_reduced_buf): fixed
	bug in save routine for 256-slot palette (bug #162742).

2005-02-08  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/Makefile.am: don't install
	test-sphere.scm.

2005-02-06  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch (makes opening and saving of files in UNC
	paths work on Win32):

	* app/file/file-utils.[ch]: added new utility function
	file_utils_filename_from_uri().
	
	* app/file/file-open.c (file_open_image)
	* app/file/file-save.c (file_save_as):
	* app/file/file-utils.c (file_utils_find_proc)
	(file_utils_uri_to_utf8_filename): replaced calls to
	g_filename_from_uri() with file_utils_filename_from_uri().

2005-02-03  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* app/dialogs/print-size-dialog.c
	* app/dialogs/resize-dialog.c
	* app/dialogs/scale-dialog.c: moved "Reset" buttons left of "Cancel".

2005-02-03  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* app/dialogs/image-scale-dialog.c (image_scale_dialog_new): use
	the passed parent widget instead of display->shell.

2005-02-02  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* app/core/gimpimage-convert.c (gimp_image_convert): relax/rigor
	the floating selection around the convert operations so color
	analysis for indexed conversion works on the floating selection's
	drawable original pixels, and not on the composited one.
	Fixes bug #165342.

2005-01-28  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from HEAD branch:

	* libgimp/gimpdrawablepreview.c: set preview bounds correctly
	when previewed drawable extends beyond image edges, 
	fixes bug #165372.
	
2005-01-27  Manish Singh  <yosh@gimp.org>

	* README: update ancient IRC info.

2005-01-23  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from HEAD branch:

	* app/tools/gimpcroptool.c (crop_aspect_changed): don't 
	accept aspect ratios that make image less than 1 byte high, 
	fixes bug #164827.

2005-01-23  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/edge.c: don't read beyond the src buffer. Fixes
	bug #164963.

2005-01-23  Maurits Rijk  <m.rijk@chello.nl>

	Merged from HEAD branch:

	* plug-ins/imagemap/imap_file.c: removed redundant line that tried to
	display a filename without calling gimp_filename_to_utf8.

2005-01-22  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.2.4, interface_age 4.

	Merged from HEAD branch:

	* HACKING
	* Makefile.am
	* acinclude.m4
	* autogen.sh: applied (modified) patch from Raphaël Quinet that
	allows to build GIMP from CVS without having gtk-doc installed.
	If you need to do this, pass --disable-gtk-doc to autogen.sh.

	* configure.in: removed --disable-devel-docs option since it has
	become obsolete now.

	* devel-docs/Makefile.am: require gtk-doc when running 'make dist'.

2005-01-22  Sven Neumann  <sven@gimp.org>

	* Made 2.2.3 release.

2005-01-22  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/jpeg.c (save_dialog): update the preview (and
        thus the filesize) if the EXIF or thumbnail toggles are being used.
        Fixes bug #164914.

2005-01-22  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/imagemap/imap_file.c: fixed overwrite confirmation
	dialog (bug #164864).

2005-01-22  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/imagemap/imap_file.c (do_file_save_as_dialog): use
	GTK_STOCK_SAVE for the save dialog (bug #164864).

2005-01-22  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* libgimpbase/gimputils.c (gimp_enum_value_get_desc)
	(gimp_enum_value_get_help): don't crash if gimp_enum_get_desc()
	returns NULL.

2005-01-20  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpcomponenteditor.c
	(gimp_component_editor_button_press): call gimp_image_flush() after
	setting the active component since this might unselect the active
	channel. Fixes bug #164195.

2005-01-18  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/jpeg.c: fix up indentation.

2005-01-18  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/jpeg.c: change comments to not refer to quality in
	percent. #define a symbol for the exif marker instead of using a raw
	magic number.

2005-01-19  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/display/gimpscalecombobox.c (gimp_scale_combo_box_set_scale):
	don't use == to compare floating point values.

2005-01-18  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/jpeg.c: applied (a slightly modified version of)
	a patch from Nils Philippsen that makes sure that the EXIF
	thumbnail doesn't cause the EXIF data block to grow beyond its
	maximum size.  Fixes bug #164087.

2005-01-18  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpdockable.[ch]: added new function
	gimp_dockable_blink() which lets the dockable's title_area blink.

	* app/widgets/gimpdialogfactory.c
	(gimp_dialog_factory_dialog_new_internal): let wilber blink at the
	user :) Fixes bug #164156.

2005-01-18  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	Merged from HEAD branch:

	* plug-ins/common/bumpmap.c: make sure bumpmap_init_params()
	is called when necessary, fixes bug #162285.
	
2005-01-18  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* app/core/gimpparasitelist.c (parasite_serialize): use
	gimp_config_writer_data() to write the parasite data because
	it's binary and can contain '\0'.

	(gimp_parasite_list_deserialize): use gimp_scanner_parse_data() to
	read it. Still accepts the old file format for backward
	compatibility. Fixes bug #163131.

2005-01-18  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	Merged from HEAD branch:

	* libgimpwidgets/gimpwidgets.c (gimp_coordinates_callback):
	Make sure last_x and last_y are set to values that match
	those returned by gimp_size_entry_get_refval(), 
	fixes bug #163951.
	
2005-01-18  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	Merged from HEAD branch:

	* app/dialogs/info-dialog.c: disconnect callbacks to prevent crash
	when destroying dialog, fixes bug #163617.
	
2005-01-17  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	Merged from HEAD branch:

	* plug-ins/xjt/xjt.c: use gimp_temp_name instead of trying to
	create temp dir at loc of file, fixes bug #164116.
	
2005-01-16  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/tools/gimppaintoptions-gui.c (pressure_options_gui): added a
	toggle to control whether pressure affects opacity of the Airbrush
	tool (bug #164237).

2005-01-16  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/curve_bend.c: applied patch from Jan Heller that
	fixes broken expose event handling (bug #164207).

2005-01-14  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* app/core/core-enums.[ch] (enum GimpUndoType): added GIMP_UNDO_INK.

	* app/paint/gimppaintcore.[ch]: added virtual function
	GimpPaintCore::push_undo() and call it.

	* app/paint/gimppaintcore-undo.[ch]: made it the default
	implementation.

	* app/paint/gimpink-blob.[ch]: added blob_duplicate().

	* app/paint/gimpink.[ch]: added a "start_blob" (just like
	GimpPaintCore::start_coords) which gets set whenever we start a
	new stroke or line. Removed ink->lastx and ink->lasty because
	they are the same as paint_core->last_coords.

	* app/paint/Makefile.am
	* app/paint/gimpink-undo.[ch]: new files implementing an
	undo step for ink which restores the last blob used along
	with the whole ink state. Fixes bug #163670.

2005-01-14  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/retinex.c (run): fixed check for number of
	parameters in non-interactive mode.

2005-01-14  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch (fix by Bill Skaggs):

	* plug-ins/bmp/bmp.h
	* plug-ins/bmp/bmpread.c: handle negative height values
	as per spec, fixes bug #158033

2005-01-13  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/Lighting/lighting_shade.c: remove artifacts
	when light strikes underside of bumpmapped surface;
	should fix bug #163877 (merged from HEAD)
	
2005-01-13  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	Splitting GimpItem::convert() into two virtual functions was
	apparently buggy over-engineering. Reverted that stuff and
	implement item conversion much simpler:

	* app/core/gimpitem.[ch]: have a single virtual function,
	GimpItem::convert(), which takes a newly duplicated item and the
	destination image.

	(gimp_item_convert): simply call GimpItem::convert() on the result
	of gimp_item_duplicate().

	(gimp_item_real_convert): set the item's new image.

	* app/core/gimplayer.c (gimp_layer_convert)
	* app/vectors/gimpvectors.c (gimp_vectors_convert): changed
	accordingly and chain up after, not before doing our own stuff
	so the old image is still available as item->image for stuff
	like colormap conversion. Fixes bug #163879.

2005-01-13  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	Made the file open and save dialogs use the last used folder
	instead of defaulting to current directory. Fixes bug #162385.

	* app/widgets/gimpfiledialog.[ch] (gimp_file_dialog_set_uri):
	removed this function because it had no functionality except
	creating usability problems.

	* app/actions/file-commands.c: use gtk_file_chooser_set_uri()
	instead but *only* if we already have an uri from an alread open
	image or the document hinstory.

	* app/widgets/gimpfiledialog.c (gimp_file_dialog_set_image): set
	the file chooser's uri only if we have an uri from the image
	itself. Leave the current folder untouched otherwise and just set
	the current name (e.g. "Untitled").

	* app/dialogs/file-save-dialog.c (file_save_dialog_save_image): on
	successful save, remember the used uri by attaching it to the
	"gimp" instance.

	(file_save_dialog_new): set the last saved uri's folder on the
	newly created file save dialog.

2005-01-11  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/script-fu/siod/slib.c (help): removed wrong URL from
	help output.

2005-01-10  Manish Singh  <yosh@gimp.org>

	* modules/controller_midi.c: #include <time.h> to make sure all
	the types are there for the alsa headers. Should address bug
	#163593.

2005-01-10  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.2.3, interface_age 3.

	Merged from HEAD branch:

	* tools/pdbgen/pdb/text_tool.pdb: explicitely mention the encoding.

	* app/pdb/text_tool_cmds.c
	* libgimp/gimptexttool_pdb.c: regenerated.

2005-01-09  Sven Neumann  <sven@gimp.org>

	* Made 2.2.2 release.

2005-01-09  Sven Neumann  <sven@gimp.org>

	* app/composite/gimp-composite-mmx-installer.c
	* app/composite/gimp-composite-mmx-test.c
	* app/composite/gimp-composite-mmx.[ch]: workaround bug #162778 by
	disabling MMX acceleration for grayscale addition mode.

2005-01-09  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* libgimp/gimpgradientmenu.c: fixed out-of-bounds access in
	gradient selection widget. Presumably fixes bug #163427.

2005-01-09  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpactionview.c (gimp_action_view_new): connect to
	"button_press_event" and start editing immidiately instead of
	waiting for a second click. Fixes bug #163385.

2005-01-09  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpdialogfactory.c (gimp_dialog_factories_toggle):
	if called with (ensure_visibility == TRUE), raise the toolbox.
	Fixes bug #163381.

2005-01-08  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpcontainertreeview.c
	(gimp_container_tree_view_button_press): fixed handling of clicks
	into a horizontally scrolled treeview.

	(gimp_container_tree_view_find_click_cell): really fix handling of
	RTL layouts (bug #162663).

2005-01-07  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpcontainertreeview.c
	(gimp_container_tree_view_button_press): handle RTL layouts (fixes
	bug #162663).

2005-01-07  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch (fix by Shlomi Fish):

	* plug-ins/script-fu/scripts/frosty-logo.scm: made sure the shadow
	is given enough space and then truncated instead of translated to
	the center of the image, thus preventing the display of shadows
	with a completely horizontal or vertical edge (fixes bug #132145).

2005-01-07  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* app/actions/plug-in-commands.c (plug_in_run_cmd_callback):
	remember the last plug-in if it has at least 3 args, not 2.

2005-01-07  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/composite/gimp-composite-x86.h
	* app/composite/gimp-composite-sse.c: applied patch from Andreas
	Jochens that fixes the build on amd64 with gcc-4.0 (bug #163041).

2005-01-06  Manish Singh  <yosh@gimp.org>

	* libgimpwidgets/gimpdialog.c: flush the display in dispose if we're
	no longer in a main loop, so the dialog doesn't hang around while
	possibly long running calculations are being done. Fixes bug #163084.

2005-01-06  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/sparkle.c: applied patch from Shlomi Fish that
	fixes more regressions in Sparkle plug-in (bug #132145).

2005-01-04  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/display/gimpdisplayshell-close.c
	(gimp_display_shell_close_dialog): don't set the default response
	to Save to reduce the risk of accidentally saving an image (#162872).

2005-01-04  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpcontainertreeview.c
	(gimp_container_tree_view_name_canceled): removed debug output.
	(gimp_container_tree_view_remove_item)
	(gimp_container_tree_view_clear_items): removed compiler warnings.

2005-01-03  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.def: added missing symbols.

2005-01-03  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/ifscompose/ifscompose.c: use g_free() to release memory
	allocated using g_malloc().

2005-01-03  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/fp.c: removed GtkFrame from dialog and replaced
	a call to free() by g_free().

2005-01-03  Sven Neumann  <sven@gimp.org>

	* etc/ps-menurc: another update from Eric Pierce.

2005-01-02  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpsizebox.c
	* app/widgets/gimptemplateeditor.c: round displayed resolution
	instead of just casting to integer values. Use image size limits
	from libgimpbase/gimplimits.h instead of some arbitrary numbers.

2005-01-02  Manish Singh  <yosh@gimp.org>

	* plug-ins/pygimp/plug-ins/clothify.py
	* plug-ins/pygimp/plug-ins/foggify.py: Add layers to images
	before using them. Fixes bug #162707.

2005-01-02  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/gui/splash.c (splash_update): fixed display of progress
	labels in RTL environment.

2005-01-02  Sven Neumann  <sven@gimp.org>

	* etc/ps-menurc: updated PS keybindings contributed by Eric Pierce.

2005-01-02  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* app/widgets/gimpsizebox.c (gimp_size_box_constructor): fixed
	position of pixel and resolution labels.

2005-01-02  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* plug-ins/common/sparkle.c: applied patch from Shlomi Fish that
	fixes regressions in Sparkle plug-in (bug #132145).

2004-12-31  Michael Natterer  <mitch@gimp.org>

	Merged from HEAD branch:

	* app/actions/plug-in-actions.c: use the orininal string if
	plug_in_actions_check_translation() fails instead of bailing out.
	Fixes bug #162590.

2004-12-31  Sven Neumann  <sven@gimp.org>

	Merged from HEAD branch:

	* tools/kernelgen.c: fixed rounding so that all brush kernels are
	created with a constant sum of 256.

	* app/paint/gimpbrushcore-kernels.h: regenerated.

	* app/paint/gimpbrushcore.c (gimp_brush_core_subsample_mask): use
	the constant defined in app/paint/gimpbrushcore-kernels.h. Should
	give a tiny speedup.

2004-12-31  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_preview.c (render_rgb_image): use the proper
	image type and rowstride. Fixes bug #162592.

2004-12-30  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/widgets/gimpsizebox.c: give correct arguments to
	gimp_coordinates_new().  Fixes problem described in
	comment 6 of bug #162387.
	
2004-12-30  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.2.2.

2004-12-29  Sven Neumann  <sven@gimp.org>

	* app/dialogs/file-save-dialog.c (file_save_dialog_response):
	handle a NULL return value from gtk_file_chooser_get_uri(). Fixes
	bug #162443.

2004-12-28  Bill Skaggs

	* plug-ins/common/decompose.c: add alpha channels to layers
	when decomposing as layers.

2004-12-28  Sven Neumann  <sven@gimp.org>

	* Made 2.2.1 release.

2004-12-28  Sven Neumann  <sven@gimp.org>

	* libgimp/gimp.[ch] (gimp_install_procedure, gimp_install_temp_proc):
	renamed menu_path parameter to menu_label and added a pointer to
	gimp_plugin_menu_register()

	* app/widgets/gimpsizebox.c (gimp_size_box_constructor): removed
	unused variables.

2004-12-28  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpbrushcore.c (gimp_brush_core_subsample_mask):
	reverted Bill's change since it is obviously not the right fix.
	Allocate the array larger to avoid the crash. We need to
	investigate bug #161323 further.

2004-12-27  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/paint/gimpbrushcore.c (gimp_brush_core_subsample_mask):
	don't set array outside its bounds.  Should fix bug #161323.
	Credit to Robert Ögren for figuring out what was wrong.
	
2004-12-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/colortoalpha.c: if possible, use
	gimp_preview_draw_buffer() so that the selection mask is correctly
	previewed. Minor cleanups.

2004-12-27  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpregioniterator.c: added some checks to avoid
	division by zero.

	* libgimpwidgets/gimppreviewarea.[ch]: minor cleanups, improved
	API documentation.

2004-12-26  DindinX  <dindinx@gimp.org>

	* plug-ins/gfig/gfig-arc.c
	* plug-ins/gfig/gfig-bezier.c
	* plug-ins/gfig/gfig-circle.c
	* plug-ins/gfig/gfig-dialog.c
	* plug-ins/gfig/gfig-ellipse.c
	* plug-ins/gfig/gfig-line.c
	* plug-ins/gfig/gfig-poly.c
	* plug-ins/gfig/gfig-spiral.c
	* plug-ins/gfig/gfig-star.c
	* plug-ins/gfig/gfig-style.h
	* plug-ins/gfig/gfig.h: plugged some memory-leaks, and done some
	cleanups.

2004-12-26  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/core/gimpbrush.c: don't ask for preview with
	zero width or height, fixes bug #162232.

	* app/base/brush-scale.c: remove tabs and trailing
	whitespace.

2004-12-26  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/actions/documents-commands.c
	* app/actions/file-commands.c
	* app/dialogs/file-open-dialog.c
	* app/dialogs/file-open-location-dialog.c
	* app/display/gimpdisplayshell-dnd.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimptoolbox-dnd.c: undo changes of 12-24,
	in favor of a better fix.

	* app/widgets/gimperrordialog.c: fix bug #162147 properly,
	as suggested by mitch.

2004-12-25  Michael Natterer  <mitch@gimp.org>

	* plug-ins/script-fu/scripts/weave.scm: limit the "Thread
	intensity" parameter to [0..100] because it's used as layer
	opacity. Fixes bug #162182.

2004-12-24  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* app/actions/documents-commands.c
	* app/actions/file-commands.c
	* app/dialogs/file-open-dialog.c
	* app/dialogs/file-open-location-dialog.c
	* app/display/gimpdisplayshell-dnd.c
	* app/widgets/gimplayertreeview.c
	* app/widgets/gimptoolbox-dnd.c: replace % with space
	in file name before showing error message, 
	fixes bug #162147.

	* app/core/gimp-gui.c
	* app/widgets/gimpmessagebox.c: be a bit more paranoid
	about validating utf8 for messages.

2004-12-23  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* gimp/app/widgets/gimpsizebox.c: fix incorrect Update
	Policy for size entry as pointed out by mitch.
	
2004-12-23  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/common/cartoon.c
	* plug-ins/common/cubism.c
	* plug-ins/common/displace.c
	* plug-ins/common/dog.c
	* plug-ins/common/emboss.c
	* plug-ins/common/engrave.c
	* plug-ins/common/gauss.c
	* plug-ins/common/glasstile.c
	* plug-ins/common/neon.c
	* plug-ins/common/noisify.c
	* plug-ins/common/oilify.c
	* plug-ins/common/photocopy.c
	* plug-ins/common/ripple.c
	* plug-ins/common/sharpen.c
	* plug-ins/common/shift.c
	* plug-ins/common/sobel.c
	* plug-ins/common/softglow.c
	* plug-ins/common/spread.c
	* plug-ins/common/tileit.c
	* plug-ins/common/whirlpinch.c: make sure tile cache is allocated
	before preview is shown -- significant speedup in some cases,
	minimal in others.

	* plug-ins/common/sel_gauss.c: give it a tile cache (didn't
	have one).  Still very slow but a little better.
	
2004-12-24  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/despeckle.c (despeckle_median): don't call
	gimp_progress_update() for each and every pixel. Every few rows
	should be enough. Fixes bug #162129.

	* plug-ins/common/blur.c: set progress to 1.0 when done, not to 100.

2004-12-23  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* plug-ins/common/mblur.c: set up tile cache before
	creating dialog -- major speedup in preview.
	
2004-12-23  Bill Skaggs <weskaggs@primate.ucdavis.edu>

	* gimp/app/widgets/gimpsizebox.c: use gimp_coordinates_new()
	instead of duplicating a lot of code.  Fixes bug #161756.
	
	* gimp/app/widgets/gimppropwidgets.c: small change in 
	chainbutton handling to make above work.

2004-12-23  Sven Neumann  <sven@gimp.org>

	* app/plug-in/plug-in-proc-frame.[ch]: made plug_in_proc_frame_free()
	a static function.

2004-12-23  Michael Natterer  <mitch@gimp.org>

	Item conversion depends on the old *and* the new item type, so
	it can't live in the old item's vtable only:

	* app/core/gimpitem.[ch]: split GimpItem::convert() into
	GimpItem::convert_from() (which is called on the old item and
	creates the new item) and GimpItem::convert_to() (which is called
	on the new item). This way functions from the old *and* new items'
	vtables are called and it's possible to convert between item types
	which live on different branches of the class hierarchy or to item
	types which live further down the class tree than the old item.

	(gimp_item_convert): call ::convert_to() on the new item created
	by ::convert_from().

	* app/vectors/gimpvectors.c: changed ::convert() implementation
	to ::convert_from().

	* app/core/gimplayer.c: changed ::convert() to ::convert_to().
	Fixes bug #161877.

2004-12-22  Sven Neumann  <sven@gimp.org>

	* plug-ins/script-fu/scripts/Makefile.am
	* plug-ins/script-fu/scripts/asc2img.scm: removed this script as it
	is broken beyond repair and the functionality is provided by the
	text tool itself.

2004-12-22  Sven Neumann  <sven@gimp.org>

	* NEWS: added NEWS for the stable branch (no, we haven't branched
	yet).

	* Makefile.am
	* NEWS.pre-2.2: moved old NEWS here.
	
2004-12-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp.c (blur_line): fixed the degenerate case
	where the source image is smaller than the blurred area. This used
	to give artefacts at the borders.

2004-12-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp.c: more code cleanup and micro
	optimizations.

2004-12-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp.c: reverted the last change since it
	introduced artefacts. Even had to increase the border around the
	previewed area. Fixed a bug in unsharp_region() where it was using
	the wrong source region for blurring.

2004-12-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp.c: compute preview for the displayed area
	only, some more code cleanup.

2004-12-21  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp.c (preview_update): fixed bug #157910.
	More code cleanup and some trivial optimizations.

2004-12-21  Michael Natterer  <mitch@gimp.org>

	* app/actions/gradient-editor-actions.c
	(gradient_editor_actions_update): if the dialog is insensitive,
	disable all actions which modify the gradient. Fixes bug #161411.

	* app/actions/gradient-editor-commands.c: update the UI manager
	after setting the dialog sensitive/insensitive so te above works.

2004-12-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp.c: more code cleanup.

2004-12-20  Sven Neumann  <sven@gimp.org>

	* libgimp/gimpdrawablepreview.c (gimp_drawable_preview_draw_region):
	unset the dirty flag on the GimpPixelRgn used to iterate the region.

	* libgimp/gimppixelrgn.c (gimp_pixel_rgn_init): improved docs.

2004-12-20  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/unsharp.c: code cleanup, no real changes.

2004-12-20  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.2.1.

	* plug-ins/FractalExplorer/FractalExplorer.c: applied patch from
	Yeti that fixes a memory corruption (bug #161729).

2004-12-19  Sven Neumann  <sven@gimp.org>

	* Made 2.2.0 release.
